Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class ClosureExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ClosureExpression

    class ClosureExpression
    extends Expression

Represents a closure creation expression such as { statement; } or { i : statement; } or { i, x, String y: statement }

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`ClosureExpression(Parameter[] parameters, Statement code)`

Method Summary
`Statement` | `getCode()`
`Parameter[]` | `getParameters()`
`VariableScope` | `getVariableScope()`
`boolean` | `isParameterSpecified()`
`void` | `setVariableScope(VariableScope variableScope)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ClosureExpression

    public ClosureExpression(Parameter[] parameters, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getParameters

    public Parameter[] getParameters()

### getVariableScope

    public VariableScope getVariableScope()

### isParameterSpecified

    public boolean isParameterSpecified()

### setVariableScope

    public void setVariableScope(VariableScope variableScope)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.